Home > Importerror Cannot > Importerror Cannot Load Specified Object

Importerror Cannot Load Specified Object

YesThat's the problem.if you chroot Apache, you should make Python work under chroot too. Check this Out Similar queries python - ImportError: Cannot load specified object - psycopg2 - Stack Overflow AS3: Get all children of specified object Python - Tutorial Python - Basic Main Alternatively, recompile the psycopg2 extension with LD_RUN_PATH=/usr/local/pgsql/lib to 'hardcode' the path to the PostgreSQL client library at linking time, removing the need to set LD_LIBRARY_PATH. If this is a big issue we can properly work around it. navigate here

How about buying me a cup of coffee ($5) as an encouragement? 5 Reply by djbahati1 2013-08-27 22:12:01 djbahati1 Member Offline Registered: 2013-08-27 Posts: 102 Re: OpenLDAP Python Sorry, I have Example for a commutative subring of a non-commutative ring How often should I replace windscreen wiper blades? MushMush member johnnykv commented Mar 15, 2013 Not really sure whats going on then :-) If one cannot do a 'import event' after installing the gevent packages something is broken in MushMush member glaslos commented Mar 15, 2013 You could give gevent1.0 with libev a try. http://stackoverflow.com/questions/14352952/importerror-cannot-load-specified-object-psycopg2

Grumphf! I still do not understand why gevent 0.13 does not work on openbsd... :-) MushMush member glaslos commented Mar 15, 2013 It could be a borked gevent installation but I'm just That extension cannot be loaded, because another C library that it is depending on is missing. Django is still writing same error. @dima.h: are you using a WSGI server to run Django?

Any solution? nsmfoo commented Mar 14, 2013 On 2013-03-13 23:11, Johnny Vestergaard wrote: uhm, do you have libevent installed? — Reply to this email directly or view it on GitHub <#65 (comment)>. Makes sense? Yes 4 Reply by ZhangHuangbin 2013-08-27 22:10:37 ZhangHuangbin iRedMail Developers Offline Registered: 2009-05-06 Posts: 19,126 Re: OpenLDAP Python djbahati1 wrote:*) Is Apache chrooted?

Small and easy install is importent. johnnykv closed this Mar 18, 2013 Sign up for free to join this conversation on GitHub. Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 49 Star 237 Fork 103 mushorg/glastopf Code Issues 38 Pull requests 0 Projects her latest blog Yes*) Do you have Python module py-ldap and py-mysql installed?

Close Save [email protected] Discussion: import _ldap: ImportError: Cannot load specified object (too old to reply) Zhang Huangbin 2013-08-27 15:53:16 UTC PermalinkRaw Message Dear developers,I tried to run my python web application Ok, conclusion? pip? How about buying me a cup of coffee ($5) as an encouragement? 10 Reply by djbahati1 2013-08-27 23:07:59 djbahati1 Member Offline Registered: 2013-08-27 Posts: 102 Re: OpenLDAP Python Thank you, it

python - ImportError: Cannot load specified object - psycopg2 - Stack ... Join them; it only takes a minute: Sign up ImportError: Cannot load specified object - psycopg2 up vote 0 down vote favorite OpenBSD, PostgreSQL9.2, python2.7 Trying to import psycopg2 module from Got gevent 0.13.7 installed. Is Area of a circle always irrational Skyrim: How to stop NPCs from picking up dropped items Lab colleague uses cracked software.

I saw _psycopg.so in /site-packages/psycopg2 folder. http://urldt.com/importerror-cannot/importerror-cannot-import-name-uhd.html Something seems broken in the gevent/libevent install. For example, copy necessary libs (check with command 'ldd /usr/local/bin/python'), etc.Does it work without chroot? ---- Does my reply help a little? You signed in with another tab or window.

How to migrate to a new iRedMail server More documents: http://www.iredmail.org/docs/. Which version of gevent is installed? (gevent.version) MushMush member nixcon commented Mar 14, 2013 Fails for me. A last resort would be to add the /usr/local/pgsql/lib path to /etc/ld.so.conf, see the ld.so(8) manpage. http://urldt.com/importerror-cannot/importerror-cannot-import-name-run-cli.html I cannot import module as the Apache daemon user "www". # chsh -s /bin/sh www # su - www $ python -c "import ldap" Traceback (most recent call last): File "",

My take: Update OpenBSD install docs to include how to install gevent 1.0 Keep Ubuntu, FreeBSD stuff docs as they are now in regards to gevent? (If it ain't broke, don't You're right. aye?

Hot to reproduce this issue: # chsh -s /bin/sh www # su - www $ python -c "import ldap" Traceback (most recent call last): File "", line 1, in File

When looking at the port details in http://ftp.openbsd.org/ports/devel/py-gevent/Makefile it appears that the openbsd port of gevent requires devel/libeventextra which installs libevent 1.4.13. - This might be the problem? (libevent 2.0 is On Wed, Aug 28, 2013 at 08:15:38AM +0800, Zhang Huangbin wrote: > Dear port maintainers, > > I'm running OpenBSD 5.3, and install cyrus-sasl-2.1.26p0-ldap with binary package, > seems it has Should I report it? The final permission is: rw-r--r--. 3 Replies 9 Views Switch to linear view Disable enhanced parsing Permalink to this page Thread Navigation Zhang Huangbin 2013-08-27 15:53:16 UTC Michael Ströder 2013-08-27 19:05:25

View More at http://stackoverflow.com/questions/14352952/importerror-cannot-lo... MushMush member nixcon commented Mar 15, 2013 line 1238: raise AttributeError(attr) You can get the source from here: http://b.pypi.python.org/packages/source/W/WebOb/WebOb-1.1.1.zip MushMush member johnnykv commented Mar 15, 2013 ah yes, thanks! How can an advanced (circa 7000 AD) spacefaring human civilization be prevented from entering its own solar system? weblink MushMush member johnnykv commented Mar 15, 2013 Great stuff! @nsmfoo also working for you?

Default permission after package install is: -rw-r----- 1 root bin 123670 Feb 26 2013 /usr/local/lib/libsasl2.so.3.0 With this permission, Python module "ldap" (port databases/py-ldap) cannot be imported by Apache daemon user "www", Gevent can't find libevent. Recalll is crowed sourced knowledge vault, where community can create, curate and access qualitative knowledge, In form of small and precise topics. Will try to debug it and come back to you later. ---- Does my reply help a little?

Michael Ströder 2013-08-27 19:05:25 UTC PermalinkRaw Message Post by Zhang Huangbinimport _ldapImportError: Cannot load specified object[..]$ pythonPost by Zhang Huangbinimport ldapimport _ldapfrom _ldap import *# ls /usr/local/lib/python2.7/site-packages/python_ldap-2.4.13-py2.7-openbsd-5.3-amd64.egg/_ldap*/usr/local/lib/python2.7/site-packages/python_ldap-2.4.13-py2.7-openbsd-5.3-amd64.egg/_ldap.py/usr/local/lib/python2.7/site-packages/python_ldap-2.4.13-py2.7-openbsd-5.3-amd64.egg/_ldap.pyc/usr/local/lib/python2.7/site-packages/python_ldap-2.4.13-py2.7-openbsd-5.3-amd64.egg/_ldap.pyo/usr/local/lib/python2.7/site-packages/python_ldap-2.4.13-py2.7-openbsd-5.3-amd64.egg/_ldap.soIs there any permissions problem?Doespython OpenBSD-5.3 ships py-ldap-2.3.1, the latest version of python-ldap is 2.4.13. ---- Does my reply help a little? Waiting for feedback while trying to debug as well. 9 Reply by ZhangHuangbin 2013-08-27 22:54:53 ZhangHuangbin iRedMail Developers Offline Registered: 2009-05-06 Posts: 19,126 Re: OpenLDAP Python Tried moment ago, really no How about buying me a cup of coffee ($5) as an encouragement? 16 Reply by djbahati1 2013-09-09 20:46:08 djbahati1 Member Offline Registered: 2013-08-27 Posts: 102 Re: OpenLDAP Python Thanks again.